{% extends "base_layout.html" %}
{% block content %}
{% load static from staticfiles %}


<div class="header comments">
    <h1 class="judul">Comments</h1>
</div>
<div class="sub_msg_like">
        <div class="sub_msg_like_box">
            <h3>{{ likes }}</h3>
            <p class="sub_msg_like_box_desc">
                {% if likes > 1 %}
                    Likes
                {% else %}
                    Like
                {% endif %}
            </p>
        </div>
    <form action="{% url 'msg:like' %}" method="POST">
        {% csrf_token %}
        <button type="submit" class="sub_msg_like_button">
            <img src="{% static 'msg/img/love.png' %}" alt="">
        </button>
    </form>  
    <p class="bawah">
        {% if likes > 0 %}
            {% for lk in first3likes %} 
                {{ lk.username }}, 
            {% endfor %}
            {% if restlike >= 1 %}
                dan {{ restlike }} orang lainnya
            {% endif %}
            menyukai website ini.
        {% endif %}    
    </p>
</div>
<div class="total_comment">
    <h4>{{ total_cmnt }} Komentar</h4>
</div>
<form action="{% url 'msg:comment_create' %}" method="POST" class="sub_msg_comment">
    <label for="#add!">Tambah komentar kamu:</label>
    {% csrf_token %}
    <div>
        {% for field in form.visible_fields %}
            {{ field }}
        {% endfor %}
    </div>
    <button type="submit" id="add!">Add!</button>
</form>
    {% for comment in cmnt %}
        <div class="sub_msg_thecomment_reply" id="{{comment.created_at}}"> 
            <div class="targetreplying" id="replybox{{comment.created_at}}">
            <div class="sub_msg_thecomment_reply_commentsection_content_wrapper" id="sembunyikan{{comment.created_at}}">
            <div class="canceled_reply" id="canceled{{comment.created_at}}">
            <div class="sub_msg_thecomment_reply_commentsection_title cf">
                <h6>{{ comment.author.username }}</h6>
                <span>{{ comment.created_at }}</span>
            </div>
            <p>{{ comment.comment }}</p>
            <p class="replybox"><a href="#replybox{{comment.created_at}}">Balas</a></p>
            <form method="POST" action="{% url 'msg:reply_create' comment_id=comment.id %}" class="sub_msg_thecomment_reply_replysection_button cf">
                    {% csrf_token %}
                <div>
                        {% for field in reply_form.visible_fields %}
                        {{ field }}
                    {% endfor %}
                    <button type="submit" method="POST" class="reply_me">Balas</button>
                    <p class="batal"><a href="#canceled{{comment.created_at}}">Batal</a></p>
                </div>
            
            <!-- reply content section -->
            </form>
            <p class="lihat_balasan"><a href="#{{comment.created_at}}" >lihat balasan</a></p>
            <p class="sembunyikan_balasan"><a href="#sembunyikan{{comment.created_at}}">sembunyikan balasan</a></p>
            <div class="sub_msg_thecomment_reply_commentsection_content">
                <p class="balasan">Balasan:</p>
                {% for reply in comment.replies.all %}
                <div>
                    {{ reply.reply_live }} oleh <span class="reply_author">{{ reply.author.username }}</span> pada {{reply.created_at}}
                </div>
                {% endfor %}
            </div>
            </div>
            </div>
            </div>
        </div>
        
    {% endfor %}

{% endblock %}